---
name: "getPanelAgentConfigLlmList"
mode: "api"
versionRequirements:
  - { name: "@tuya-miniapp/cloud-api", version: "1.0.6" }
---

## getPanelAgentConfigLlmList

> [VERSION] @tuya-miniapp/cloud-api >= 1.0.6

> 💡 This API relies on cloud capabilities. Configure authorization in the [Mini App Developer Platform](https://platform.tuya.com/miniapp/) under Development Settings - Cloud Capabilities.

### Description

Get the list of supported large language models.

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `GetPanelAgentConfigLlmListParams` | Yes | Request body |

### Return Value

Type: `Promise<Object[]>`

GetPanelAgentConfigLlmListResult (see type definitions and minituya response parameters for field meanings)
| Property | Type | Description |
| --- | --- | --- |
| `llmId` | `number` | Language model ID |
| `llmName` | `string` | Language model name |

### Referenced Types

##### `interface` GetPanelAgentConfigLlmListParams

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` | Device ID |


### Examples

#### Request example

```typescript
import { getPanelAgentConfigLlmList } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
};

getPanelAgentConfigLlmList(params)
  .then(result => {
    console.log('Supported LLMs:', result);
  })
  .catch(error => {
    console.error('Failed to get LLM list:', error);
  });
```

#### Response example

```json
[
  {
    "llmId": 1001,
    "llmName": "GPT-3.5-turbo"
  },
  {
    "llmId": 1002,
    "llmName": "Claude-3"
  }
]
```
